#server:
#  port: ${port:8080}
#  tomcat:
#    uri-encoding: utf-8
#  servlet:
#    context-path: /plane-inspection
#spring:
#  resource: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public
#logging:
#  config: classpath:logback-spring.xml
#  level:
#    com.keystar.plane.inspection: debug


server:
  port: ${port:8080}
  tomcat:
    uri-encoding: utf-8
  servlet:
    context-path: /plane-inspection
spring:
  resource: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public
  datasource:
    druid:
      url: jdbc:mysql://10.138.6.221:3306/plane_inspection?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai&useSSL=false&allowMultiQueries=true
      username: root
      password: 123456
      driver-class-name: com.mysql.cj.jdbc.Driver
      initialSize: 5
      minIdle: 5
      maxActive: 20
      maxWait: 60000
      timeBetweenEvictionRunsMillis: 60000
      minEvictableIdleTimeMillis: 300000
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      poolPreparedStatements: true

      #配置监控统计拦截的filters，stat：监控统计、log4j：日志记录、wall：防御sql注入
      #如果允许报错，java.lang.ClassNotFoundException: org.apache.Log4j.Properity
      #则导入log4j 依赖就行
      filters: stat,wall
      maxPoolPreparedStatementPerConnectionSize: 20
      useGlobalDataSourceStat: true
      connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=500
  redis:
    host: 10.138.6.221
    # 连接超时时间（记得添加单位，Duration）
    timeout: 10000ms
    # Redis默认情况下有16个分片，这里配置具体使用的分片
    # database: 0
    lettuce:
      pool:
        # 连接池最大连接数（使用负值表示没有限制） 默认 8
        max-active: 8
        # 连接池最大阻塞等待时间（使用负值表示没有限制） 默认 -1
        max-wait: -1ms
        # 连接池中的最大空闲连接 默认 8
        max-idle: 8
        # 连接池中的最小空闲连接 默认 0
        min-idle: 0
    port: 6379
logging:
  config: classpath:logback-spring.xml
  level:
    com.keystar.plane.inspection: debug
ws:
  uri: ws://10.138.6.221:48182/ws/keystar/4/70ddc6e4-1b3e-4da9-9952-16c04ec5c415
  subscribe: /status/media
mqtt:
  hostURI: tcp://10.138.6.221:1883
  clientID: plane-inspection-${random.int(10200)}
  automaticReconnect: true
  keepalive: 5
  cleanSession: false
  maxInflight: 5
  actionTimeout: 5000
minio:
  addr: 10.138.6.221:9000
  accessKey: admin
  secretKey: abcd@1234
  expires: 1200
  bucket:
    name: nest
  bucketPath: nest
  resourcePath: /autoUpload/photo/